summaryrefslogtreecommitdiff
path: root/tests/touch
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-02-02 13:59:43 +0000
committerJim Meyering <jim@meyering.net>2000-02-02 13:59:43 +0000
commit93d0c6c472727be9e89c0b1116cc2141fabea59b (patch)
tree40e5c04b7b5273bbeb3c9dbb8af771ff14162eb4 /tests/touch
parent7138e430741ba42c211e5185a52a7012f32fa8dc (diff)
downloadcoreutils-93d0c6c472727be9e89c0b1116cc2141fabea59b.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/touch')
-rwxr-xr-xtests/touch/fifo24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/touch/fifo b/tests/touch/fifo
new file mode 100755
index 000000000..b1a436d97
--- /dev/null
+++ b/tests/touch/fifo
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Make sure touch works on fifos without hanging.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ touch --version
+fi
+
+framework_failure=0
+
+rm -rf fifo
+mkfifo fifo || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+
+touch fifo || fail=1
+rm -rf fifo
+
+exit $fail